Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class SOMElementalType

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.type.SOMElementalType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DerivedENTITY, PrimitiveAnyURI, PrimitiveBase64Binary, PrimitiveBinary, PrimitiveBoolean, PrimitiveDate, PrimitiveDateTime, PrimitiveDecimal, PrimitiveDouble, PrimitiveDuration, PrimitiveENTITY, PrimitiveFloat, PrimitiveGDay, PrimitiveGMonth, PrimitiveGMonthDay, PrimitiveGYear, PrimitiveGYearMonth, PrimitiveHexBinary, PrimitiveID, PrimitiveIDREF, PrimitiveNumber, PrimitiveQName, PrimitiveRecurringDuration, PrimitiveString, PrimitiveTime, PrimitiveTimeDuration, PrimitiveUriReference

public abstract class SOMElementalType
extends SOMType

abstract base class for all Primitive and Derived types.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`SOMElementalType()`

Method Summary
`String` | `createDefault(Map restrictions)`
`Map` | `getTypeRestrictions()`
`boolean` | `isSchemaChild()` ElementalType's are always root level objects.
`boolean` | `isValid(String value, Map restrictions)` validate the content.

Methods inherited from class com.bea.schema.type.SOMType
`getAllowedFacets, getID, getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMElementalType

    public SOMElementalType()

Method Detail

### isSchemaChild

    public boolean isSchemaChild()

  ElementalType's are always root level objects.

  Overrides:
    `isSchemaChild` in class `SOMObject`
  Returns:
    true - overrides SOMObject

### getTypeRestrictions

    public Map getTypeRestrictions()

### isValid

    public boolean isValid(String value,
                           Map restrictions)

  validate the content. External restrictions override the internal type restrictions to attempt to validate the content of value.

  Parameters:
    `value` - content to be validated
    `restrictions` - a Map of SOMFacet values
  Returns:
    true if the content of value meets the type and external restrictions

### createDefault

    public String createDefault(Map restrictions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD